<template>
  <div class="coversation-view">
    <FirstPart />
    <SecondPart />
    <ThirdPart />
  </div>
</template>

<script>
import FirstPart from './components/firstPart'
import SecondPart from './components/secondPart'
import ThirdPart from './components/thirdPart'

export default {
  name: 'MainConversation',
  data() {
    return {
      routerViewName: 'conversation'
    }
  },
  components: {
    FirstPart,
    SecondPart,
    ThirdPart
  },
  mounted() {
    // 设置部门map
    this.$store.dispatch('conversation/SetDepartments')
  }
}
</script>

<style lang="scss" scoped>
.coversation-view {
  display: flex;
  flex: 1 1 auto;
  overflow: hidden;
  justify-content: space-between;
}
</style>
